From b33b70810d94950f4c3e20fb0fb01e103a25cf11 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Thu, 12 Mar 2020 18:25:46 -0300
Subject: [PATCH 5/8] no \n after left parens, see c9d297751959

---
 src/backend/executor/nodeIncrementalSort.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/src/backend/executor/nodeIncrementalSort.c b/src/backend/executor/nodeIncrementalSort.c
index 4f6b438e7b..bbb3f35640 100644
--- a/src/backend/executor/nodeIncrementalSort.c
+++ b/src/backend/executor/nodeIncrementalSort.c
@@ -135,8 +135,8 @@ preparePresortedCols(IncrementalSortState *node)
 		key = &node->presorted_keys[i];
 		key->attno = plannode->sort.sortColIdx[i];
 
-		equalityOp = get_equality_op_for_ordering_op(
-													 plannode->sort.sortOperators[i], NULL);
+		equalityOp = get_equality_op_for_ordering_op(plannode->sort.sortOperators[i],
+													 NULL);
 		if (!OidIsValid(equalityOp))
 			elog(ERROR, "missing equality operator for ordering operator %u",
 				 plannode->sort.sortOperators[i]);
@@ -265,8 +265,7 @@ switchToPresortedPrefixMode(PlanState *pstate)
 		 * Optimize the sort by assuming the prefix columns are all equal and
 		 * thus we only need to sort by any remaining columns.
 		 */
-		prefixsort_state = tuplesort_begin_heap(
-												tupDesc,
+		prefixsort_state = tuplesort_begin_heap(tupDesc,
 												plannode->sort.numCols - presortedCols,
 												&(plannode->sort.sortColIdx[presortedCols]),
 												&(plannode->sort.sortOperators[presortedCols]),
@@ -576,8 +575,7 @@ ExecIncrementalSort(PlanState *pstate)
 			 * setup the full sort tuplesort to sort by all requested sort
 			 * columns.
 			 */
-			fullsort_state = tuplesort_begin_heap(
-												  tupDesc,
+			fullsort_state = tuplesort_begin_heap(tupDesc,
 												  plannode->sort.numCols,
 												  plannode->sort.sortColIdx,
 												  plannode->sort.sortOperators,
@@ -1011,10 +1009,12 @@ ExecInitIncrementalSort(IncrementalSort *node, EState *estate, int eflags)
 	incrsortstate->ss.ps.ps_ProjInfo = NULL;
 
 	/* make standalone slot to store previous tuple from outer node */
-	incrsortstate->group_pivot = MakeSingleTupleTableSlot(
-														  ExecGetResultType(outerPlanState(incrsortstate)), &TTSOpsMinimalTuple);
-	incrsortstate->transfer_tuple = MakeSingleTupleTableSlot(
-															 ExecGetResultType(outerPlanState(incrsortstate)), &TTSOpsMinimalTuple);
+	incrsortstate->group_pivot =
+		MakeSingleTupleTableSlot(ExecGetResultType(outerPlanState(incrsortstate)),
+								 &TTSOpsMinimalTuple);
+	incrsortstate->transfer_tuple =
+		MakeSingleTupleTableSlot(ExecGetResultType(outerPlanState(incrsortstate)),
+								 &TTSOpsMinimalTuple);
 
 	SO_printf("ExecInitIncrementalSort: sort node initialized\n");
 
-- 
2.20.1

